/*
  Lightlink SLAN -- A Virtual Private Network System
  (c) 2001 Mark Wright (Koni), Lucas Madar, Art Matrix - Lightlink, Inc.
 
  This program is free software; you can redistribute it and/or
  modify it under the terms of the GNU General Public License
  as published by the Free Software Foundation; either version 2
  of the License, or (at your option) any later version.
 
  This program is distributed in the hope that it will be useful,
  but WITHOUT ANY WARRANTY; without even the implied warranty of
  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
  GNU General Public License for more details.
 
  You should have received a copy of the GNU General Public License
  along with this program; if not, write to the Free Software
  Foundation, Inc., 59 Temple Place - Suite 330, Boston, MA  02111-1307, USA.
 
  $Header: /home/cvsroot/stage4/platform/windows/slandll/slanioctl.h,v 1.1 2001/06/05 16:09:16 lucasm Exp $
  $Author: lucasm $ $Date: 2001/06/05 16:09:16 $ $Name:  $
  $Revision: 1.1 $
 
*/

// taken from some microsoft header, somewhere
#define CTL_CODE( DeviceType, Function, Method, Access ) (                 \
    ((DeviceType) << 16) | ((Access) << 14) | ((Function) << 2) | (Method) \
)

#define METHOD_BUFFERED                 0
#define METHOD_IN_DIRECT                1
#define METHOD_OUT_DIRECT               2
#define METHOD_NEITHER                  3

#define FILE_ANY_ACCESS                 0
#define FILE_READ_ACCESS          ( 0x0001 )    // file & pipe
#define FILE_WRITE_ACCESS         ( 0x0002 )    // file & pipe

// end_ntddk end_nthal end_ntifs

#define FILE_DEVICE_SLAN    0xA5B4 //42420 -- magic number?
#define IOCTL_SLAN_OPEN		CTL_CODE(FILE_DEVICE_SLAN, METHOD_BUFFERED, 0x01, FILE_ANY_ACCESS)
#define IOCTL_SLAN_CLOSE	CTL_CODE(FILE_DEVICE_SLAN, METHOD_BUFFERED, 0x02, FILE_ANY_ACCESS)
#define IOCTL_SLAN_READ		CTL_CODE(FILE_DEVICE_SLAN, METHOD_BUFFERED, 0x03, FILE_ANY_ACCESS)
#define IOCTL_SLAN_WRITE	CTL_CODE(FILE_DEVICE_SLAN, METHOD_BUFFERED, 0x04, FILE_ANY_ACCESS)
