/*
  Lightlink SLAN -- A Virtual Private Network System
  (c) 2001 Mark Wright (Koni), Lucas Madar, Art Matrix - Lightlink, Inc.  

  This program is free software; you can redistribute it and/or	
  modify it under the terms of the GNU General Public License
  as published by the Free Software Foundation; either version 2
  of the License, or (at your option) any later version.
  
  This program is distributed in the hope that it will be useful,
  but WITHOUT ANY WARRANTY; without even the implied warranty of
  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
  GNU General Public License for more details.
  
  You should have received a copy of the GNU General Public License
  along with this program; if not, write to the Free Software
  Foundation, Inc., 59 Temple Place - Suite 330, Boston, MA  02111-1307, USA.

  $Header: /home/cvsroot/stage4/include/ip_conf.h,v 1.3 2001/06/03 06:06:45 koni Exp $ 
  $Author: koni $ $Date: 2001/06/03 06:06:45 $ $Name:  $
  $Revision: 1.3 $

*/
   
#ifndef _IP_CONF_H
#define _IP_CONF_H
#include <sys/types.h>
#include "slan_session.h"

typedef struct {
  u_int32_t ip_address;
  u_int32_t subnet_mask;
  u_int32_t subnet_bcast;
  u_int32_t router;
  u_int32_t nameserver_1;
  u_int32_t nameserver_2;
} ip_info_t;

int ipconf_request(ip_info_t *ip_conf, slan_session_t *session_obj);
int ipconf_req_wait(ip_info_t *ip_conf, slan_session_t *session_obj);

#endif

