;
;  Lightlink SLAN -- A Virtual Private Network System
;  (c) 2001 Mark Wright (Koni), Lucas Madar, Art Matrix - Lightlink, Inc.
; 
;  This program is free software; you can redistribute it and/or
;  modify it under the terms of the GNU General Public License
;  as published by the Free Software Foundation; either version 2
;  of the License, or (at your option) any later version.
; 
;  This program is distributed in the hope that it will be useful,
;  but WITHOUT ANY WARRANTY; without even the implied warranty of
;  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
;  GNU General Public License for more details.
; 
;  You should have received a copy of the GNU General Public License
;  along with this program; if not, write to the Free Software
;  Foundation, Inc., 59 Temple Place - Suite 330, Boston, MA  02111-1307, USA.
; 
;  $Header: /home/cvsroot/stage4/platform/windows/driver/slanmac/slanvxd.asm,v 1.1 2001/06/05 16:02:13 lucasm Exp $
;  $Author: lucasm $ $Date: 2001/06/05 16:02:13 $ $Name:  $
;  $Revision: 1.1 $
; 

.LALL
;
; This file is the generic VXD loader, ripped from most of the 9xddk samples
; with a few minor changes.
; (complete with misspelling of "order" direct from microsoft!)
;

    TITLE $SLANLNK
    .386P

INCLUDE VMM.INC
INCLUDE NDIS.INC
INCLUDE VWIN32.INC
INCLUDE NETVXD.INC			; Net VxD initialization oredr


Declare_Virtual_Device SLANMAC, 3, 10, SLANMAC_Control, UNDEFINED_DEVICE_ID, \
    MAC_INIT_ORDER, 0, 0, 0

VxD_LOCKED_DATA_SEG

Public Initialized	
	Initialized	 DB 0

VxD_LOCKED_DATA_ENDS

VxD_LOCKED_CODE_SEG


BeginProc C_Device_Init

extern _DriverEntry@8:NEAR

    mov  al, Initialized
	cmp  al, 0					
	jnz  Succeed
	inc  Initialized			

    push 0
    push 0

    call _DriverEntry@8

    cmp  eax, NDIS_STATUS_SUCCESS

    jne  Failed

Succeed:
    clc
    ret

Failed:
    stc
    ret
EndProc C_Device_Init

Begin_Control_Dispatch SLANMAC
    Control_Dispatch Device_Init,       			C_Device_Init
    Control_Dispatch Sys_Dynamic_Device_Init,       C_Device_Init
	Control_Dispatch W32_DeviceIoControl, SLAN_W32_DeviceIOControl, \
        sCall, <ebx, esi>
End_Control_Dispatch SLANMAC

BeginProc _EventCallback
    mov eax, edx
	VxDCall _VWIN32_SetWin32Event
	ret
EndProc _EventCallback

BeginProc _SetUserEvent				 ; must call with edx = vxdhandle!
	VMMCall Get_Sys_VM_Handle        ; this sets ebx for us
	mov eax, Low_Pri_Device_Boost
	mov ecx, Pef_Wait_For_STI
	or ecx, Pef_Wait_Not_Crit
	mov esi, OFFSET32 _EventCallback
	xor edi, edi
	VMMCall Call_Priority_VM_Event
	ret
EndProc _SetUserEvent

VxD_LOCKED_CODE_ENDS

	END
